DBusRealHashIter Struct Reference
Hash table implementation details

Internals of DBusHashIter. More...

## Data Fields

DBusHashTable * | table
| Pointer to table containing entry. More...
DBusHashEntry ** | bucket
| Pointer to bucket that points to first entry in this entry's chain: used for deleting the entry.
DBusHashEntry * | entry
| Current hash entry.
DBusHashEntry * | next_entry
| Next entry to be iterated onto in current bucket.
int | next_bucket
| index of next bucket
int | n_entries_on_init
| used to detect table resize since initialization

## Detailed Description

Internals of DBusHashIter.

Definition at line 212 of file dbus-hash.c.

## Field Documentation

DBusHashTable* DBusRealHashIter::table

Pointer to table containing entry.

Definition at line 214 of file dbus-hash.c.

Referenced by _dbus_hash_iter_get_int_key(), _dbus_hash_iter_get_string_key(), _dbus_hash_iter_get_uintptr_key(), _dbus_hash_iter_get_value(), _dbus_hash_iter_init(), _dbus_hash_iter_lookup(), _dbus_hash_iter_next(), _dbus_hash_iter_remove_entry(), and _dbus_hash_iter_set_value().

The documentation for this struct was generated from the following file:

- dbus-hash.c